<?php

/*----------------
Add-Body-Class
-----------------*/
function growth_body_classes( $classes ) {
    if ( class_exists( 'Redux' ) ) {
        global $growth_opt;
    }else{
        $growth_opt['transparent_menu'] = true;
    }
    $menu_transparent = get_post_meta( get_the_ID(), '_growth_transparent_menu', true );
    
	if ( ! is_singular() ) {
		$classes[] = 'hfeed';
	}
    
    if( $growth_opt['transparent_menu'] == true or $menu_transparent == 'on' ){
        $classes[] = 'transparent-menu';
    }
    
	return $classes;
}
add_filter( 'body_class', 'growth_body_classes' );

/*----------------------------------------
    BACKWARD COMPATIBILITY
-----------------------------------------*/
if ( ! function_exists( 'wp_body_open' ) ) {
    function wp_body_open() {
        do_action( 'wp_body_open' );
    }
}

/*-------------------------------------------------------------------------------
 * Add a pingback url auto-discovery header for singularly identifiable articles.
 --------------------------------------------------------------------------------*/
function growth_pingback_header() {
	if ( is_singular() && pings_open() ) {
		echo '<link rel="pingback" href="', esc_url( get_bloginfo( 'pingback_url' ) ), '">';
	}
}
add_action( 'wp_head', 'growth_pingback_header' );

/*--------------------------------
    PAGE TITLE GENARETED
----------------------------------*/
function growth_page_title(){
    if ( class_exists( 'Redux' ) ) {
		global $growth_opt;
		$blog_page_title   = $growth_opt['blog_page_title'];
		$search_page_title = $growth_opt['search_page_title'];
    }else{
		$blog_page_title   = esc_html__( 'News Feeds','growth' );
		$search_page_title = esc_html__( 'Search Results for','growth' );
    }
    ob_start();
    if( is_home() ){
        echo esc_html($blog_page_title);
    }elseif(is_single()){
        echo get_the_title();
    }elseif(is_search()){
        echo esc_html($search_page_title).' : <span class="search_select" >'.esc_html(get_search_query()).'</span>';
    }elseif(is_archive()){
        if( class_exists( 'WooCommerce' ) && is_shop() ){
            woocommerce_page_title();
        }else{
            the_archive_title( '', '' );
        }
    }elseif( class_exists( 'WooCommerce' ) and is_woocommerce() ){        
        if( is_shop() ){
            esc_html_e( 'Shop Page', 'growth' );
        }else{
            woocommerce_page_title();
        }
    }else{
        single_post_title();
    }
    $page_title = ob_get_contents();
    ob_end_clean();
    if( empty($page_title) ){
        return false;
    }else{
        return wp_kses( $page_title, wp_kses_allowed_html('post') );
    }
}

/*--------------------
Social-Menu-Content
---------------------*/
if( ! function_exists('growth_social_menu_link') ){    
    function growth_social_menu_link(){        
        $data = array();        
        $facebook  = get_theme_mod( 'facebook' );
        $twitter   = get_theme_mod( 'twitter' );
        $linkedin  = get_theme_mod( 'linkedin' );
        $instagram = get_theme_mod( 'instagram' );
        $flickr    = get_theme_mod( 'flickr' );
        $pinterest = get_theme_mod( 'pinterest' );
        $dribbble  = get_theme_mod( 'dribbble' );
        $youtube   = get_theme_mod( 'youtube' );        
        if( !empty($facebook) ){
            $data['facebook'] = '<a target="_blank" href="'.esc_url($facebook).'" ><i class="fab fa-facebook-f"></i></a>';
        }
        if( !empty($twitter) ){
            $data['twitter'] = '<a target="_blank" href="'.esc_url($twitter).'" ><i class="fab fa-twitter"></i></a>';
        }        
        if( !empty($linkedin) ){
            $data['linkedin'] = '<a target="_blank" href="'.esc_url($linkedin).'" ><i class="fab fa-linkedin-in"></i></a>';
        }      
        if( !empty($instagram) ){
            $data['instagram'] = '<a target="_blank" href="'.esc_url($instagram).'" ><i class="fab fa-instagram"></i></a>';
        } 
        if( !empty($flickr) ){
            $data['flickr'] = '<a target="_blank" href="'.esc_url($flickr).'" ><i class="fab fa-flickr"></i></a>';
        }        
        if( !empty($pinterest) ){
            $data['pinterest'] = '<a target="_blank" href="'.esc_url($pinterest).'" ><i class="fab fa-pinterest-p"></i></a>';
        }
        if( !empty($dribbble) ){
            $data['dribbble'] = '<a target="_blank" href="'.esc_url($dribbble).'" ><i class="fab fa-dribbble"></i></a>';
        }     
        if( !empty($youtube) ){
            $data['youtube'] = '<a target="_blank" href="'.esc_url($youtube).'" ><i class="fab fa-youtube"></i></a>';
        }        
        if( empty($data) ){
            return false;
        }        
        $data['end']   = '</div>';
        $data['start'] = '<div class="social-menu-list">';
        $lastvalue     = end($data);
        $lastkey       = key($data);
        $data1         = array( $lastkey => $lastvalue );
        array_pop($data);        
        $data = array_merge( $data1, $data );
        $data = implode( ' ', $data );
        return $data;
    }
}

function growth_reading_time() {
    $content     = get_post_field( 'post_content', get_the_ID() );
    $word_count  = str_word_count( strip_tags( $content ) );
    $readingtime = ceil($word_count / 200);

    if ($readingtime == 1) {
      $timer = " minute";
    } else {
      $timer = " minutes";
    }
    $totalreadingtime = $readingtime . $timer;
    return $totalreadingtime;
}



if ( class_exists( 'WooCommerce' ) ) {
    function growth_custom_mini_cart() {
        ob_start();
        echo '<div class="mini-cart-area">';        
        echo '<button type="button" class="icon-button cart-button"> ';
        echo '<i class="fal fa-shopping-cart"></i>';
        echo '<sup class="cart-items-count count">';
        echo WC()->cart->get_cart_contents_count();
        echo '</sup>';
        echo '</button>';
        echo '<div class="mini-cart-box">';
        echo woocommerce_mini_cart();
        echo '</div>';        
        echo '</div>'; 
        $data = ob_get_contents();
        ob_end_clean();
        return $data;
    }    
    add_filter( 'woocommerce_add_to_cart_fragments', 'growth_cart_count_fragments' );
    function growth_cart_count_fragments( $fragments ) {
        $fragments['sup.cart-items-count'] = '<sup class="cart-items-count" >' . WC()->cart->get_cart_contents_count() . '</sup>';
        ob_start();
        echo '<div class="mini-cart-box">';
        woocommerce_mini_cart();
        echo '</div>';
        $fragments['div.mini-cart-box'] = ob_get_contents();
        ob_end_clean();        
        return $fragments;    
    }
    
    add_filter( 'woocommerce_output_related_products_args', 'growth_related_products_args', 20 );
      function growth_related_products_args( $args ) {
        $args['posts_per_page'] = 4; // 4 related products
        $args['columns'] = 3; // arranged in 2 columns
        return $args;
    }
    /*-- Remove-Action ---*/
    remove_action( 'woocommerce_before_main_content','woocommerce_breadcrumb',20 );    
    remove_action( 'woocommerce_single_product_summary','woocommerce_template_single_title',5 );
    remove_action( 'woocommerce_single_product_summary','woocommerce_template_single_rating',10 );
    remove_action( 'woocommerce_single_product_summary','woocommerce_template_single_price',10 );
    remove_action( 'woocommerce_single_product_summary','woocommerce_template_single_excerpt',20 );
    remove_action( 'woocommerce_single_product_summary','woocommerce_template_single_add_to_cart',30 );
    remove_action( 'woocommerce_single_product_summary','woocommerce_template_single_meta',40 );
    remove_action( 'woocommerce_single_product_summary','woocommerce_template_single_sharing',50 );
    
    /*-- Add-Action --*/
    add_action( 'woocommerce_single_product_summary','woocommerce_template_single_rating', 5 );
    add_action( 'woocommerce_single_product_summary','growth_get_product_category_list', 10 );
    add_action( 'woocommerce_single_product_summary','woocommerce_template_single_title', 15 );
    add_action( 'woocommerce_single_product_summary','woocommerce_template_single_price', 20 );
    add_action( 'woocommerce_single_product_summary','woocommerce_template_single_meta', 25 );
    add_action( 'woocommerce_single_product_summary','woocommerce_template_single_excerpt', 30 );
    add_action( 'woocommerce_single_product_summary','woocommerce_template_single_sharing', 35 );
    add_action( 'woocommerce_single_product_summary','woocommerce_template_single_add_to_cart', 40 );
    
    function growth_get_product_category_list(){
        echo wc_get_product_category_list( get_the_ID(), ', ', '<div class="category">', '</div>' );
    }    
    
}