<?php
    // Preloader switch data.
if ( class_exists( 'Redux' ) ) {
    global $growth_opt;
    if( !isset($growth_opt['menu_button']) or !is_array($growth_opt['menu_button']) ){
        $growth_opt['menu_button'] = [];
    }
}else{
    $growth_opt                = array();
    $growth_opt['menu_button'] = array();
    $growth_opt['sticky_menu'] = false;
    $growth_opt['menu_toggle'] = false;
}

?>
    <nav class="navbar mainmenu-area" <?php echo ( ( $growth_opt[ 'sticky_menu'] == 1 ) ? 'data-spy="affix" data-offset-top="100"' : '' ); ?> >
        <div class="container">
            <div class="center-item">
                <h2 class="site-branding">
                    <?php
                    if( function_exists('the_custom_logo') && has_custom_logo() ):
                        the_custom_logo();
                        else: ?>
                        <a href="<?php echo esc_url(home_url('/')); ?>">
                            <?php bloginfo('title'); ?>
                        </a>
                    <?php endif; ?>
                </h2>
                <div class="center-item">
                    <?php
                        if( array_key_exists( 'menu_toggle', $growth_opt ) ){
                            $growth_menu_class = $growth_opt['menu_toggle'] == 1 ? 'collapse fade' : '';
                        }else{
                            $growth_menu_class = '';
                        }
                    ?>
                    <div class="primary-menu <?php echo esc_attr( $growth_menu_class ); ?>" id="mainmenu">
                        <?php
                            if(has_nav_menu('primary_menu')){   
                                wp_nav_menu(array(
                                    'theme_location' => 'primary_menu',
                                    'menu_class'     => 'nav',
                                    'container'      => ' ',
                                    'walker'         =>  new growth_Nav_Menu_Walker
                                ));
                            }
                        ?>
                    </div>
                    <?php                    
                    if( !empty($growth_opt['menu_button']) ){
                        echo '<div class="menu-buttons">';
                        foreach( $growth_opt['menu_button'] as $buttons ){
                            if( !empty($buttons) ){
                                echo wp_kses_post($buttons);
                            }
                        }
                        echo '</div>';
                    }
                ?>
                <a class="menu-toggle-button" id="menu-button" data-toggle="collapse" href="#mainmenu"><i class="fal fa-bars"></i><i class="fal fa-times"></i></a>
                </div>
            </div>
        </div>
    </nav>